# DEMedicalPlanMedicineFieldType enum

German medical plan document medicine information description field type

Inheritance
  - Object
  - Enum
  - DEMedicalPlanMedicineFieldType

## Constructors

DEMedicalPlanMedicineFieldType()
  const

## Values

PharmaceuticalNumber → const DEMedicalPlanMedicineFieldType
DrugName → const DEMedicalPlanMedicineFieldType
DosageForm → const DEMedicalPlanMedicineFieldType
DosageFormFreeText → const DEMedicalPlanMedicineFieldType
Morning → const DEMedicalPlanMedicineFieldType
Midday → const DEMedicalPlanMedicineFieldType
Evening → const DEMedicalPlanMedicineFieldType
Night → const DEMedicalPlanMedicineFieldType
DosageFreeText → const DEMedicalPlanMedicineFieldType
DosingUnit → const DEMedicalPlanMedicineFieldType
DosingUnitFreeText → const DEMedicalPlanMedicineFieldType
RelevantInfo → const DEMedicalPlanMedicineFieldType
ReasonForTreatment → const DEMedicalPlanMedicineFieldType
GeneralNotes → const DEMedicalPlanMedicineFieldType

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<DEMedicalPlanMedicineFieldType>
  A constant List of the values in this enum, in order of their declaration.
  `[PharmaceuticalNumber, DrugName, DosageForm, DosageFormFreeText, Morning, Midday, Evening, Night, DosageFreeText, DosingUnit, DosingUnitFreeText, RelevantInfo, ReasonForTreatment, GeneralNotes]`